{{#if @options.card.extraFields.fullDescription}}
  <Article::Viewer @value={{@record.descriptionContentBlocks}}/>
{{else}}
  <TextWithOptions
    @options={{@options.description}}
    @deviceSize={{@deviceSize}}
    data-path="{{@path}}.data.description"
    data-type="card description"
    class="card-text card-description"
    ...attributes
  >{{!
  }}{{@record.firstParagraph}}{{!
}}</TextWithOptions>
{{/if}}